Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Adobe AIR Development

Reply
Developer
Posts: 246
Registered: ‎03-14-2012
My Device: PlayBook 2.0
My Carrier: AT&T

What Adobe Air version is supported?

Hi,

 

I recently got an error that the "namespace" it's not allowed after I published my Air app with Air 3.2 instead of Air 2.5.

 

Can I build Adobe Air apps with Air 3.2 or higher for BlackBerry?

 

If so, do I need to download a new SDK or something

for it? (Im using the BlackBerry Graphical Aid to sign and package my apps on Windows)

 

Thank you

Vibes

 

Highlighted
Developer
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10
My Carrier: Verizon

Re: What Adobe Air version is supported?

AIR 3.1. Current SDKs are fine.
Developer
Posts: 246
Registered: ‎03-14-2012
My Device: PlayBook 2.0
My Carrier: AT&T

Re: What Adobe Air version is supported?

Are there any informations on when newer Air version will be supported?

 

Developer
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10
My Carrier: Verizon

Re: What Adobe Air version is supported?

3.4/3.5 is on its way. Probably see something around March is the earliest guess.
Developer
Posts: 246
Registered: ‎03-14-2012
My Device: PlayBook 2.0
My Carrier: AT&T

Re: What Adobe Air version is supported?

I'm using Flash CS6 and the lowest AIR version available is AIR 3.2 . (Air 3.1 SDK can't be added)

How to publish my app to make it run on BlackBerry? 

Contributor
Posts: 32
Registered: ‎04-25-2011
My Device: Blackberry Playbook
My Carrier: Wifi

Re: What Adobe Air version is supported?

I'll second the question above. I've been banging my head with getting an app working from AIR -- runs fine on desktop, but when I deploy the app doesn't run on my Dev Alpha (just opens then closes). I'm GUESSING it might be related to the version of AIR it's built with, but I have no way of knowing unless I try building with 3.1

 

How can us folks using CS6 (which supports 3.2 at the LOWEST) build for BB10?

Developer
Posts: 889
Registered: ‎08-31-2009
My Device: 9530, 9630, 9800, 8530, 9900, 9810, 9930, PlayBook, Dev Alpha
My Carrier: Verizon

Re: What Adobe Air version is supported?

You can still download and install the older versions of AIR. They just may not be prebundled with your ide.


Read my thoughts on BlackBerry Development at news.ebscer.com
Contributor
Posts: 32
Registered: ‎04-25-2011
My Device: Blackberry Playbook
My Carrier: Wifi

Re: What Adobe Air version is supported?

Sorry, should have clarified I'm talking about Flash Pro CS6

Developer
Posts: 439
Registered: ‎10-25-2010
My Device: Not Specified

Re: What Adobe Air version is supported?

I wrote a blog post on this, it's geared at FlashBuilder but the requirements are the same:
http://esdot.ca/site/2013/adding-blackberry-support-for-flashbuilder-4-7

 

Specifically, you need to do 2 things:

1.  Add compiler flag: swf-version=14, this is easy with Flash Pro, just edit your compiler settings.

2. Add packaging flag: -forceAirVersion 3.1, this one I'm not sure how to do in Flash Pro...

Contributor
Posts: 32
Registered: ‎04-25-2011
My Device: Blackberry Playbook
My Carrier: Wifi

Re: What Adobe Air version is supported?

Thanks, that gives me somewhere to start. I can create the swf with flash, then use command line to add the -forceAir flag.